# 03.06.15

DROP TABLE `session_options`;
CREATE TABLE IF NOT EXISTS `exam_period_options` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SubmoduleID` int(11) NOT NULL,
  `StudentID` int(11) NOT NULL,
  `Type` enum('absence','pass'),
  PRIMARY KEY (`ID`),
  UNIQUE KEY `SubmoduleID` (`SubmoduleID`,`StudentID`),
  KEY `SubmoduleID_2` (`SubmoduleID`),
  KEY `StudentID` (`StudentID`),
  KEY `StudentID_2` (`StudentID`),
  KEY `StudentID_3` (`StudentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


ALTER TABLE `exam_period_options`
ADD CONSTRAINT `exam_period_options_ibfk_2` FOREIGN KEY (`StudentID`) REFERENCES `students` (`ID`),
ADD CONSTRAINT `exam_period_options_ibfk_1` FOREIGN KEY (`SubmoduleID`) REFERENCES `submodules` (`ID`);

UPDATE `subjects` SET `Name`= "Курсовая работа", `Abbr` = "Курсовая" WHERE `ID` = 346;


# 13.05.15

DROP TABLE `page_access`;
